Skip to content

Modify Bound Index Configuration



POST /api/v1/external_log_index_cfg/{cfg_uuid}/modify

Overview

Modify the configuration of a bound index.

Route Parameters

Parameter Name Type Required Description
cfg_uuid string Y Configuration UUID

Body Request Parameters

Parameter Name Type Required Description
extend json Frontend custom data
Nullable: True
exterStoreName string Y The name of the external storage that maps to name (corresponds to StoreName for SLS type, corresponds to topic_name for Volcengine TLS)
Nullable: False
name string Y Index name
Example: xxx
Nullable: False
desc string Index description
Example: xxx
Nullable: False
Allow empty string: True
exterStoreProject string The project corresponding to the external storage index (corresponds to StoreProject for SLS type, corresponds to project_name for Volcengine TLS)
Nullable: False
region string Specifies the region of the external resource.
Nullable: False
isPublicNetworkAccess boolean Whether public network access is enabled. Takes effect when storeType is sls. Default is False (added in the 2024-07-10 iteration).
Nullable: True
accessCfg json Y External resource access configuration information.
Nullable: False
accessCfg.cloudAccountId string Cloud account ID.
Nullable: False
accessCfg.ak string Secret Key Id.
Nullable: False
accessCfg.sk string Secret Key.
Nullable: False
accessCfg.url string URL address.
Nullable: False
accessCfg.username string Username.
Nullable: False
Allow empty string: True
accessCfg.password string Password.
Nullable: False
Allow empty string: True
accessCfg.iamProjectName string Volcengine TLS iam_project_name.
Nullable: False
Allow empty string: True
accessCfg.iamProjectDisplayName string Display name for Volcengine TLS iam_project_name.
Nullable: False
Allow empty string: True
accessCfg.projectId string Volcengine TLS project_id.
Nullable: False
Allow empty string: True
accessCfg.topicId string Volcengine TLS topic_id.
Nullable: False
Allow empty string: True
fields array List of field mapping configurations to be updated.
Nullable: False
fields[*] None
fields[*].field string Y Field name.
Example: message
Nullable: False
fields[*].originalField string Y Original field name.
Example: content
Nullable: False
Allow empty string: True

Parameter Supplementary Notes

Request Example

curl 'https://openapi.truewatch.com/api/v1/external_log_index_cfg/lgim_xxxx32/modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"accessCfg":{"url":"aabb.com","username":"test33"},"exterStoreName":"aa_uuid","fields":[{"field":"time","originalField":"time"},{"field":"__docid","originalField":"__docid"},{"field":"message","originalField":"message"}]}' \
--compressed

Response

{
    "code": 200,
    "content": true,
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-63EE56F5-8EFB-4FF9-994D-11848B6EFA80"
}